import Layout from '@/layout'

export default {
  path: '/shop',
  component: Layout,
  name: 'Shop',
  meta: {
    title: '店铺管理',
  },
  children: [
    {
      path: 'shop-manage',
      name: 'shop-manage',
      component: () => import('@/views/shop/shop-manage/index.vue'),
      meta: {
        title: '店铺',
        icon: 'power',
      },
      children: [
        {
          path: 'site',
          name: 'site',
          component: () => import('@/views/shop/shop-manage/site/index.vue'),
          meta: {
            title: '店铺管理',
          },
          children: [
            {
              path: 'au',
              name: 'au-list',
              meta: {
                title: 'AU店铺列表',
              },
              component: () => import('@/views/shop/shop-manage/site/au.vue'),
            },
            // {
            //   path: 'nz',
            //   name: 'nz-list',
            //   meta: {
            //     title: 'NZ店铺列表',
            //   },
            //   component: () => import('@/views/shop/shop-manage/site/nz.vue'),
            // },
            // {
            //   path: 'uk',
            //   name: 'uk-list',
            //   meta: {
            //     title: 'UK店铺列表',
            //   },
            //   component: () => import('@/views/shop/shop-manage/site/uk.vue'),
            // },
            // {
            //   path: 'eu',
            //   name: 'eu-list',
            //   meta: {
            //     title: 'EU店铺列表',
            //   },
            //   component: () => import('@/views/shop/shop-manage/site/eu.vue'),
            // },
          ],
        },
      ],
    },
    {
      path: 'article-manage',
      name: 'article-manage',
      component: () => import('@/views/shop/article-manage/index.vue'),
      meta: {
        title: '图文',
        icon: 'power',
      },
      children: [
        {
          path: 'article',
          name: 'article',
          component: () =>
            import('@/views/shop/article-manage/article/index.vue'),
          meta: {
            title: '图文管理',
          },
          children: [

            {
              path: 'au',
              name: 'au-article-list',
              meta: {
                title: 'AU首页图文',
              },
              component: () => import('@/views/shop/article-manage/article/au.vue'),
            },
          ],
        },
      ],
    },
  ],
}
